#ifndef VERSIONS_H
#define VERSIONS_H

/**
 * Here is listed the version history of the soft with some information about them.
 * 
 * Versioning scheme MAJOR.MINOR.PATCH
 */

#define SOFT_VERSION "1.0.0" //First version tracking
#define SOFT_VERSION "1.1.0" //Added trailing zeros to the date and time
#define SOFT_VERSION "1.1.1" //Added delayed esp restart/reset api call
#define SOFT_VERSION "1.1.2" //Fixed a big memory leak :( shame on me...
#define SOFT_VERSION "1.1.3" //TaskSchedulerManager added millis rollover
#define SOFT_VERSION "1.1.4" //Cleaned AP and STA wifi start
#define SOFT_VERSION "1.2.0" //Added new PowerManager class
#define SOFT_VERSION "1.2.1" //Corrected a bug in the TaskSchedulerManager class
#define SOFT_VERSION "1.3.0" //Implemented multi-client non blocking webserver
#define SOFT_VERSION "1.3.1" //Fixed sdCardUnmount api call
#define SOFT_VERSION "1.3.2" //Modified TCPServer and WEBServer core logic
#define SOFT_VERSION "1.4.0" //Added the new FTPServer
#define SOFT_VERSION "1.4.1" //Updated FTP server to use the new SD library for the ESP8266
#define SOFT_VERSION "1.4.2" //Added new functionalities as well as login check
#define SOFT_VERSION "1.4.3" //Added ICACHE_RAM_ATTR because of a strange performance hit
#define SOFT_VERSION "1.5.0" //Added new rtcInfo view + DS3231 internal temperature


#endif //VERSIONS_H
